Package icyllis.modernui.core.awt

# Class PlatformLinuxGLCanvas

java.lang.Object
icyllis.modernui.core.awt.PlatformLinuxGLCanvas

All Implemented Interfaces:
  `PlatformGLCanvas`

public class PlatformLinuxGLCanvas extends Object implements PlatformGLCanvas

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final org.lwjgl.system.jawt.JAWT`
  `awt`
  `long`
  `display`
  `long`
  `drawable`
  `org.lwjgl.system.jawt.JAWTDrawingSurface`
  `ds`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PlatformLinuxGLCanvas()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `create(Canvas canvas, GLData attribs, GLData effective)`
  `boolean`
  `delayBeforeSwapNV(float seconds)`
  `boolean`
  `deleteContext(long context)`
  `void`
  `dispose()`
  `boolean`
  `isCurrent(long context)`
  `void`
  `lock()`
  `boolean`
  `makeCurrent(long context)`
  `boolean`
  `swapBuffers()`
  `void`
  `unlock()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### awt

    public static final org.lwjgl.system.jawt.JAWT awt

  - ### display

    public long display

  - ### drawable

    public long drawable

  - ### ds

    public org.lwjgl.system.jawt.JAWTDrawingSurface ds

- ## Constructor Details

  - ### PlatformLinuxGLCanvas

    public PlatformLinuxGLCanvas()

- ## Method Details

  - ### lock

    public void lock() throws AWTException
    Specified by:
      `lock` in interface `PlatformGLCanvas`
    Throws:
      `AWTException`

  - ### unlock

    public void unlock() throws AWTException
    Specified by:
      `unlock` in interface `PlatformGLCanvas`
    Throws:
      `AWTException`

  - ### create

    public long create(Canvas canvas, GLData attribs, GLData effective) throws AWTException
    Specified by:
      `create` in interface `PlatformGLCanvas`
    Throws:
      `AWTException`

  - ### deleteContext

    public boolean deleteContext(long context)
    Specified by:
      `deleteContext` in interface `PlatformGLCanvas`

  - ### makeCurrent

    public boolean makeCurrent(long context)
    Specified by:
      `makeCurrent` in interface `PlatformGLCanvas`

  - ### isCurrent

    public boolean isCurrent(long context)
    Specified by:
      `isCurrent` in interface `PlatformGLCanvas`

  - ### swapBuffers

    public boolean swapBuffers()
    Specified by:
      `swapBuffers` in interface `PlatformGLCanvas`

  - ### delayBeforeSwapNV

    public boolean delayBeforeSwapNV(float seconds)
    Specified by:
      `delayBeforeSwapNV` in interface `PlatformGLCanvas`

  - ### dispose

    public void dispose()
    Specified by:
      `dispose` in interface `PlatformGLCanvas`